  {{ hugo.Generator}}
  {{ if and (ne .Params.noindex true) (in (slice (getenv "HUGO_ENV") hugo.Environment) "production") }}
  <meta name="robots" content="index, follow">
{{else}}
  <meta name="robots" content="noindex, nofollow"> 
{{end}}
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  {{ with .Params.canonical }}
  <link rel='canonical' href='{{ . }}'>
  {{ end }}
  {{ with .Params.forestry_instant_preview_id }}
    {{- safeHTML (printf "<meta property='forestry_instant_preview_id' content='%s'>" .) -}}
  {{ end -}}

  <meta name="description" content="{{ with .Description }}{{ . }}{{ else }}{{if .IsPage}}{{ .Summary }}{{ else }}{{ with .Site.Params.description }}{{ . }}{{ end }}{{ end }}{{ end }}">
  
  {{ template "_internal/opengraph.html" . }}
  {{- template "_internal/schema.html" . -}}
  {{- template "_internal/twitter_cards.html" . -}}
